---
title: "Specifications"
date: 2020-09-08T11:00:00-04:00
hide_sidebar: true
seo_title: "Specifications"
keywords: ["openmdm", "Specifications"]
---

In order to integrate openMDM® smoothly into your infrastructure, a few requirements have to be met. These are the specifications of the openMDM® system:

* As database management system (DBMS) openMDM® can use Oracle or MS SQL Server.
* openMDM® components run on the operating systems Windows and Linux.
* openMDM® is currently tested with the following ODS servers:
    * [Avalon](https://www.highqsoft.com/avalon-asam-ods-server/)  
      HighQSoft GmbH, Schloßborner Weg 6b, 61479 Glashütten, Germany
    * [Peak ODS Server](https://www.peak-solution.de/en/peak-ods-server.html)  
      Peak Solution GmbH, Lina-Ammon-Str. 22, 90471 Nuremberg, Germany
* openMDM® components are implemented in SUN Java from Version 1.5 and need the infrastructure required for it.
* openMDM® uses JacORB for implementation of the OMG's CORBA standard and OSGi to control the run time configuration.
